Subject: Broken "M" trigger in functions

From: [email-masked]
Date: Fri, 21 May 1999 09:39:53 -0500 (CDT)

Full_Name: Mikhael Goikhman
Version: 2.3.2
CVS_Date: 16 May 1999
OS: Linux
X_Server: XFree86
Submission from: (NULL) (192.117.145.180)

With fvwm pre-2.3.0, the behavior of "M" trigger is changed.
This leads to the situation when I now:
  * can't start to resize window immediately
  * can't start to move window immediately
  * can't vertically maximize window by just holding a mouse button

All these operations are activated when I move a mouse pointer (while
holding a button) outside a square of 5x5 points, where the center is
the initial point on the screen. I.e. I must now move a mouse on
at least 3 points in any direction to activate an action, otherwise
"C" trigger is activated, even if it was longer than ClickTime.

I would like to return to the behaviour of fvwm 2.2 and prior, when
the "M" trigger is activated immediately after ClickTime milliseconds.
If someone thinks that it is really essential to have a 5x5 points barrier
for "M" to be activated, I propose a new trigger "H" for Holding, which is
like "M" but without a barrier ("H" and "M" can't be specified together).

Here is a minimal .fvwm2rc to show the situations described above, but
any default configuration which has "M" in a function can be used too.
Try to hold the mouse button 1 or 2 on borders or on the maximize button.

---------------------------------------------------------------------------
DestroyFunc FuncResizeOrRaise
AddToFunc FuncResizeOrRaise
+       "M"     Resize
+       "C"     Raise
+       "D"     RaiseLower

DestroyFunc FuncMoveOrRaiseLower
AddToFunc FuncMoveOrRaiseLower
+       "M"     Move
+       "C"     RaiseLower

DestroyFunc FuncMaximize
AddToFunc FuncMaximize
+       "M"     Maximize 0 95
+       "C"     Maximize 100 95
+       "D"     Maximize 100 100

Mouse 1 SF      A       Function FuncResizeOrRaise
Mouse 2 TSIF    A       Function FuncMoveOrRaiseLower
Mouse 0 2       A       Function FuncMaximize

ButtonStyle 2 - MWMDecorMax
ButtonStyle 2 4 50x25@1 75x75@0 25x75@0 50x25@1

Exec xterm
---------------------------------------------------------------------------

Regards,
Mikhael.

--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]